$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.211.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.211.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'CC4C98D746104E4E7BA043CAE6100EDF8506105EF009E3E1A2A10E98F9B4BB14'
  checksumType = 'sha256'
  checksum64 = 'CC4C98D746104E4E7BA043CAE6100EDF8506105EF009E3E1A2A10E98F9B4BB14'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.211-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
